# Role: ufw

## Description

Installs and configure ufw.

Additional ufw rules can be set with vars.

https://launchpad.net/ufw

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.ufw
  vars:
    ...
```

### Vars

`ufw_reset`:

Set to true to do a full reset of ufw rules before applying them.

`ufw_input_policy`:

Set default input policy.

`ufw_output_policy`:

Set default output policy.

`ufw_forward_policy`:

Set default forward policy.

`ufw_application_policy`:

Set default application policy.

`ufw_rules`:

List of rules to pass to `community.general.ufw`.
